Subject: Re: [PATCH v3 5/5] add -p: ignore dirty submodules

From: Junio C Hamano <[email-masked]>
Date: Wed, 31 Aug 2022 13:19:00 -0700

Johannes Schindelin <[email-masked]> writes:

> And it is that doubling of work that I tried to avoid when implementing
> the built-in version. The bug came about because the full diff call wasn't
> using the `--ignore-submodules=dirty` option, and that's what I missed.
>
> This is maybe more interesting a story for the cover letter, to be able to
> understand how this bug was introduced, and maybe to offer an opportunity
> for others (in addition to myself) to learn from my mistake.

Yup, the moral of the story is premature optimization bites because
we are not always careful ;-)

Anyhow, I am getting an impression that the behaviour of the next
iteration would be much closer to the original, which is excellent.

We have seen too many "ah, this is broken and here is a fix that is
appropriate in the context of how the new C version does it", not
"ok, let's make the whole thing behave more like what we used to
have".

Thanks.